//<clean=none></clean>
/** @file hist.h
	@brief Header file for hist.c
*/
#ifndef histh
#define histh
///Structure to hold histogram data
struct hist
{
double **data;		///2D array of data store
double *xscale;		///xscale of histogram 
double *yscale;		///yscale of histogram
int x;			///x points
int y;			///y points
double xmin;		
double xmax;
double ymin;
double ymax;
double xstop;
int outofrange;		///How many points are out of the scale
int totpoints;		///Total number of points added
};


//Historgram routines
void hist_make_rdf(double volume,struct hist *hist);
void hist_norm(struct hist *myhist);
void hist_smoth(struct hist *myhist,int points);
void hist_wipe(struct hist *myhist);
void hist_dump(struct hist *myhist,char * name);
void hist_dump2d(struct hist *myhist,char * name);
void hist_add(struct hist *myhist,double xvalue,double yvalue);
void hist_init(struct hist *myhist, int x, int y,double xmin,double xmax,double ymin,double ymax);
void hist_free(struct hist *myhist);
void hist_mul(struct hist *myhist,double mul);
void hist_div(struct hist *myhist,double div);
void hist_dump_pdf(struct hist *myhist,char * name);
#endif
